--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_copies/zfs_copies_005_neg.ksh	Wed Aug 31 16:20:31 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_copies/zfs_copies_005_neg.ksh	Wed Aug 31 16:20:31 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 . $STF_SUITE/tests/functional/cli_root/zfs_copies/zfs_copies.kshlib
 
@@ -53,18 +57,18 @@
 log_assert "Verify that copies cannot be set with pool version 1"
 log_onexit cleanup
 
-$CP $STF_SUITE/tests/functional/cli_root/zpool_upgrade/blockfiles/$ZPOOL_VERSION_1_FILES $TESTDIR
-$BUNZIP2 $TESTDIR/$ZPOOL_VERSION_1_FILES
-log_must $ZPOOL import -d $TESTDIR $ZPOOL_VERSION_1_NAME
-log_must $ZFS create $ZPOOL_VERSION_1_NAME/$TESTFS
-log_must $ZFS create -V 1m $ZPOOL_VERSION_1_NAME/$TESTVOL
+cp $STF_SUITE/tests/functional/cli_root/zpool_upgrade/blockfiles/$ZPOOL_VERSION_1_FILES $TESTDIR
+bunzip2 $TESTDIR/$ZPOOL_VERSION_1_FILES
+log_must zpool import -d $TESTDIR $ZPOOL_VERSION_1_NAME
+log_must zfs create $ZPOOL_VERSION_1_NAME/$TESTFS
+log_must zfs create -V 1m $ZPOOL_VERSION_1_NAME/$TESTVOL
 
 for val in 3 2 1; do
 	for ds in $ZPOOL_VERSION_1_NAME/$TESTFS $ZPOOL_VERSION_1_NAME/$TESTVOL; do
-		log_mustnot $ZFS set copies=$val $ds
+		log_mustnot zfs set copies=$val $ds
 	done
 	for ds in $ZPOOL_VERSION_1_NAME/$TESTFS1 $ZPOOL_VERSION_1_NAME/$TESTVOL1; do
-		log_mustnot $ZFS create -o copies=$val $ds
+		log_mustnot zfs create -o copies=$val $ds
 	done
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_copies/zfs_copies_006_pos.ksh	Wed Aug 31 16:20:31 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_copies/zfs_copies_006_pos.ksh	Wed Aug 31 16:20:31 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/tests/functional/cli_root/zfs_copies/zfs_copies.kshlib
 
 #
@@ -44,15 +48,15 @@
 function cleanup
 {
 	if ismounted $mntp ufs ; then
-		log_must $UMOUNT $mntp
+		log_must umount $mntp
 	fi
 
 	if datasetexists $vol; then
-		log_must $ZFS destroy $vol
+		log_must zfs destroy $vol
 	fi
 
 	if [[ -d $mntp ]]; then
-                $RM -rf $mntp
+                rm -rf $mntp
         fi
 }
 
@@ -63,7 +67,7 @@
 vol=$TESTPOOL/$TESTVOL1
 
 if [[ ! -d $mntp ]]; then
-	$MKDIR -p $mntp
+	mkdir -p $mntp
 fi
 
 for val in 1 2 3; do
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_create/zfs_create_001_pos.ksh	Wed Aug 31 16:20:31 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_create/zfs_create_001_pos.ksh	Wed Aug 31 16:20:31 2016
@@ -24,6 +24,11 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -43,7 +48,7 @@
 	typeset -i i=0
 	while (( $i < ${#datasets[*]} )); do
 		datasetexists ${datasets[$i]} && \
-			log_must $ZFS destroy -f ${datasets[$i]}
+			log_must zfs destroy -f ${datasets[$i]}
 		((i = i + 1))
 	done
 }
@@ -57,7 +62,7 @@
 
 typeset -i i=0
 while (( $i < ${#datasets[*]} )); do
-	log_must $ZFS create ${datasets[$i]}
+	log_must zfs create ${datasets[$i]}
 	datasetexists ${datasets[$i]} || \
 		log_fail "zfs create ${datasets[$i]} fail."
 	((i = i + 1))
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_create/zfs_create_002_pos.ksh	Wed Aug 31 16:20:31 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_create/zfs_create_002_pos.ksh	Wed Aug 31 16:20:31 2016
@@ -24,6 +24,11 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 . $STF_SUITE/tests/functional/cli_root/zfs_create/zfs_create.cfg
 
@@ -43,7 +48,7 @@
 	typeset -i j=0
 	while [[ $j -lt ${#size[*]} ]]; do
 		if datasetexists $TESTPOOL/${TESTVOL}${size[j]}; then
-			log_must $ZFS destroy $TESTPOOL/${TESTVOL}${size[j]}
+			log_must zfs destroy $TESTPOOL/${TESTVOL}${size[j]}
 		fi
 		((j = j + 1))
 	done
@@ -56,7 +61,7 @@
 
 typeset -i j=0
 while (( $j < ${#size[*]} )); do
-	typeset cmdline="$ZFS create -s -V ${size[j]}  \
+	typeset cmdline="zfs create -s -V ${size[j]}  \
 			 $TESTPOOL/${TESTVOL}${size[j]}"
 
 	str=$(eval $cmdline 2>&1)
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_create/zfs_create_003_pos.ksh	Wed Aug 31 16:20:32 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_create/zfs_create_003_pos.ksh	Wed Aug 31 16:20:32 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -47,7 +47,7 @@
 function cleanup
 {
 	datasetexists $vol && \
-		log_must $ZFS destroy -f $vol
+		log_must zfs destroy -f $vol
 }
 
 log_assert "Verify creating volume with specified blocksize works."
@@ -58,11 +58,11 @@
 
 typeset -i i=0
 while (( i < ${#options[*]} )); do
-	log_must $ZFS create ${options[i]} -V $VOLSIZE $vol
+	log_must zfs create ${options[i]} -V $VOLSIZE $vol
 	datasetexists $vol || \
 		log_fail "zfs create ${options[i]} -V $VOLSIZE $vol fail."
 
-	log_must $ZFS destroy -f $vol
+	log_must zfs destroy -f $vol
 	((i = i + 1))
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_create/zfs_create_004_pos.ksh	Wed Aug 31 16:20:32 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_create/zfs_create_004_pos.ksh	Wed Aug 31 16:20:32 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 . $STF_SUITE/tests/functional/cli_root/zfs_create/zfs_create_common.kshlib
 . $STF_SUITE/tests/functional/cli_root/zfs_create/properties.kshlib
@@ -45,7 +49,7 @@
 function cleanup
 {
 	datasetexists $TESTPOOL/$TESTFS1 && \
-		log_must $ZFS destroy -f $TESTPOOL/$TESTFS1
+		log_must zfs destroy -f $TESTPOOL/$TESTFS1
 }
 
 log_onexit cleanup
@@ -56,12 +60,12 @@
 
 typeset -i i=0
 while (( $i < ${#RW_FS_PROP[*]} )); do
-	log_must $ZFS create -o ${RW_FS_PROP[$i]} $TESTPOOL/$TESTFS1
+	log_must zfs create -o ${RW_FS_PROP[$i]} $TESTPOOL/$TESTFS1
 	datasetexists $TESTPOOL/$TESTFS1 || \
 		log_fail "zfs create $TESTPOOL/$TESTFS1 fail."
 	propertycheck $TESTPOOL/$TESTFS1 ${RW_FS_PROP[i]} || \
 		log_fail "${RW_FS_PROP[i]} is failed to set."
-	log_must $ZFS destroy -f $TESTPOOL/$TESTFS1
+	log_must zfs destroy -f $TESTPOOL/$TESTFS1
 	(( i = i + 1 ))
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_create/zfs_create_005_pos.ksh	Wed Aug 31 16:20:32 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_create/zfs_create_005_pos.ksh	Wed Aug 31 16:20:32 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 . $STF_SUITE/tests/functional/cli_root/zfs_create/zfs_create_common.kshlib
 . $STF_SUITE/tests/functional/cli_root/zfs_create/properties.kshlib
@@ -45,7 +49,7 @@
 function cleanup
 {
 	datasetexists $TESTPOOL/$TESTFS1 && \
-		log_must $ZFS destroy -f $TESTPOOL/$TESTFS1
+		log_must zfs destroy -f $TESTPOOL/$TESTFS1
 }
 
 log_onexit cleanup
@@ -64,7 +68,7 @@
 	(( i = i + 1 ))
 done
 
-log_must $ZFS create $opts $TESTPOOL/$TESTFS1
+log_must zfs create $opts $TESTPOOL/$TESTFS1
 datasetexists $TESTPOOL/$TESTFS1 || \
 	log_fail "zfs create $TESTPOOL/$TESTFS1 fail."
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_create/zfs_create_006_pos.ksh	Wed Aug 31 16:20:32 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_create/zfs_create_006_pos.ksh	Wed Aug 31 16:20:32 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -50,7 +50,7 @@
 function cleanup
 {
 	datasetexists $TESTPOOL/$TESTVOL1 && \
-		log_must $ZFS destroy -f $TESTPOOL/$TESTVOL1
+		log_must zfs destroy -f $TESTPOOL/$TESTVOL1
 }
 
 log_onexit cleanup
@@ -61,21 +61,21 @@
 
 typeset -i i=0
 while (( $i < ${#RW_VOL_PROP[*]} )); do
-	log_must $ZFS create -o ${RW_VOL_PROP[$i]} -V $VOLSIZE \
+	log_must zfs create -o ${RW_VOL_PROP[$i]} -V $VOLSIZE \
 		$TESTPOOL/$TESTVOL1
 	datasetexists $TESTPOOL/$TESTVOL1 || \
 		log_fail "zfs create -V size $TESTPOOL/$TESTVOL1 fail."
 	propertycheck $TESTPOOL/$TESTVOL1 ${RW_VOL_PROP[i]} || \
 		log_fail "${RW_VOL_PROP[i]} is failed to set."
-	log_must $ZFS destroy -f $TESTPOOL/$TESTVOL1
+	log_must zfs destroy -f $TESTPOOL/$TESTVOL1
 
-	log_must $ZFS create -s -o ${RW_VOL_PROP[$i]} -V $VOLSIZE \
+	log_must zfs create -s -o ${RW_VOL_PROP[$i]} -V $VOLSIZE \
 		$TESTPOOL/$TESTVOL1
 	datasetexists $TESTPOOL/$TESTVOL1 || \
 		log_fail "zfs create -s -V $TESTPOOL/$TESTVOL1 fail."
 	propertycheck $TESTPOOL/$TESTVOL1 ${RW_VOL_PROP[i]} || \
 		log_fail "${RW_VOL_PROP[i]} is failed to set."
-	log_must $ZFS destroy -f $TESTPOOL/$TESTVOL1
+	log_must zfs destroy -f $TESTPOOL/$TESTVOL1
 
 	(( i = i + 1 ))
 done
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_create/zfs_create_007_pos.ksh	Wed Aug 31 16:20:32 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_create/zfs_create_007_pos.ksh	Wed Aug 31 16:20:32 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012, 2015 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -50,9 +50,9 @@
 function cleanup
 {
         datasetexists $TESTPOOL/$TESTVOL && \
-                log_must $ZFS destroy -f $TESTPOOL/$TESTVOL
+                log_must zfs destroy -f $TESTPOOL/$TESTVOL
 	datasetexists $TESTPOOL/$TESTVOL1 && \
-		log_must $ZFS destroy -f $TESTPOOL/$TESTVOL1
+		log_must zfs destroy -f $TESTPOOL/$TESTVOL1
 }
 
 log_onexit cleanup
@@ -71,10 +71,10 @@
 	(( i = i + 1 ))
 done
 
-log_must $ZFS create $opts -V $VOLSIZE $TESTPOOL/$TESTVOL
+log_must zfs create $opts -V $VOLSIZE $TESTPOOL/$TESTVOL
 datasetexists $TESTPOOL/$TESTVOL || \
 	log_fail "zfs create $TESTPOOL/$TESTVOL fail."
-log_must $ZFS create -s $opts -V $VOLSIZE $TESTPOOL/$TESTVOL1
+log_must zfs create -s $opts -V $VOLSIZE $TESTPOOL/$TESTVOL1
 datasetexists $TESTPOOL/$TESTVOL1 || \
 	log_fail "zfs create $TESTPOOL/$TESTVOL1 fail."
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_create/zfs_create_008_neg.ksh	Wed Aug 31 16:20:32 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_create/zfs_create_008_neg.ksh	Wed Aug 31 16:20:32 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012, 2015 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -47,7 +47,7 @@
 function cleanup
 {
 	if datasetexists $TESTPOOL/$TESTFS1 ; then
-		log_must $ZFS destroy -f $TESTPOOL/$TESTFS1
+		log_must zfs destroy -f $TESTPOOL/$TESTFS1
 	fi
 }
 
@@ -93,8 +93,8 @@
 
 typeset -i i=0
 while [[ $i -lt ${#args[*]} ]]; do
-	log_mustnot $ZFS create ${args[i]} $TESTPOOL/$TESTFS1
-	log_mustnot $ZFS create -p ${args[i]} $TESTPOOL/$TESTFS1
+	log_mustnot zfs create ${args[i]} $TESTPOOL/$TESTFS1
+	log_mustnot zfs create -p ${args[i]} $TESTPOOL/$TESTFS1
 	((i = i + 1))
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_create/zfs_create_009_neg.ksh	Wed Aug 31 16:20:32 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_create/zfs_create_009_neg.ksh	Wed Aug 31 16:20:32 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -61,8 +61,8 @@
 	# check to see if there is any new fs created during the test
 	# if so destroy it.
 	#
-	for dset in $($ZFS list -H | \
-		$AWK '{print $1}' | $GREP / ); do
+	for dset in $(zfs list -H | \
+		awk '{print $1}' | grep / ); do
 		found=false
 		i=0
 		while (( $i < ${#existed_fs[*]} )); do
@@ -77,7 +77,7 @@
 		# new fs created during the test, cleanup it
 		#
 		if [[ $found == "false" ]]; then
-			log_must $ZFS destroy -f $dset
+			log_must zfs destroy -f $dset
 		fi
 	done
 }
@@ -94,25 +94,25 @@
 log_assert "Verify 'zfs create <filesystem>' fails with bad <filesystem> argument."
 
 datasetexists $TESTPOOL/$TESTFS || \
-	log_must $ZFS create $TESTPOOL/$TESTFS
+	log_must zfs create $TESTPOOL/$TESTFS
 
-set -A existed_fs $($ZFS list -H | $AWK '{print $1}' | $GREP / )
+set -A existed_fs $(zfs list -H | awk '{print $1}' | grep / )
 
-log_mustnot $ZFS create $TESTPOOL
-log_mustnot $ZFS create $TESTPOOL/$TESTFS
+log_mustnot zfs create $TESTPOOL
+log_mustnot zfs create $TESTPOOL/$TESTFS
 
 typeset -i i=0
 while (( $i < ${#args[*]} )); do
-	log_mustnot $ZFS create ${args[$i]}
-	log_mustnot $ZFS create -p ${args[$i]}
+	log_mustnot zfs create ${args[$i]}
+	log_mustnot zfs create -p ${args[$i]}
 	((i = i + 1))
 done
 
 i=0
 while (( $i < ${#RW_FS_PROP[*]} )); do
-	log_mustnot $ZFS create -o ${RW_FS_PROP[i]} -o ${RW_FS_PROP[i]} \
+	log_mustnot zfs create -o ${RW_FS_PROP[i]} -o ${RW_FS_PROP[i]} \
 		$TESTPOOL/$TESTFS1
-	log_mustnot $ZFS create -p -o ${RW_FS_PROP[i]} -o ${RW_FS_PROP[i]} \
+	log_mustnot zfs create -p -o ${RW_FS_PROP[i]} -o ${RW_FS_PROP[i]} \
 		$TESTPOOL/$TESTFS1
 	((i = i + 1))
 done
@@ -119,8 +119,8 @@
 
 i=0
 while (( $i < ${#VOL_ONLY_PROP[*]} )); do
-	log_mustnot $ZFS create -o ${VOL_ONLY_PROP[i]} $TESTPOOL/$TESTFS1
-	log_mustnot $ZFS create -p -o ${VOL_ONLY_PROP[i]} $TESTPOOL/$TESTFS1
+	log_mustnot zfs create -o ${VOL_ONLY_PROP[i]} $TESTPOOL/$TESTFS1
+	log_mustnot zfs create -p -o ${VOL_ONLY_PROP[i]} $TESTPOOL/$TESTFS1
 	((i = i + 1))
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_create/zfs_create_010_neg.ksh	Wed Aug 31 16:20:32 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_create/zfs_create_010_neg.ksh	Wed Aug 31 16:20:32 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -62,8 +62,8 @@
 	# check to see if there is any new fs created during the test
 	# if so destroy it.
 	#
-	for dset in $($ZFS list -H | \
-		$AWK '{print $1}' | $GREP / ); do
+	for dset in $(zfs list -H | \
+		awk '{print $1}' | grep / ); do
 		found=false
 		i=0
 		while (( $i < ${#existed_fs[*]} )); do
@@ -78,7 +78,7 @@
 		# new fs created during the test, cleanup it
 		#
 		if [[ $found == "false" ]]; then
-			log_must $ZFS destroy -f $dset
+			log_must zfs destroy -f $dset
 		fi
 	done
 }
@@ -106,12 +106,12 @@
 set -A options "" "-s"
 
 datasetexists $TESTPOOL/$TESTVOL || \
-		log_must $ZFS create -V $VOLSIZE $TESTPOOL/$TESTVOL
+		log_must zfs create -V $VOLSIZE $TESTPOOL/$TESTVOL
 
-set -A existed_fs $($ZFS list -H | $AWK '{print $1}' | $GREP / )
+set -A existed_fs $(zfs list -H | awk '{print $1}' | grep / )
 
-log_mustnot $ZFS create -V $VOLSIZE $TESTPOOL/$TESTVOL
-log_mustnot $ZFS create -s -V $VOLSIZE $TESTPOOL/$TESTVOL
+log_mustnot zfs create -V $VOLSIZE $TESTPOOL/$TESTVOL
+log_mustnot zfs create -s -V $VOLSIZE $TESTPOOL/$TESTVOL
 
 typeset -i i=0
 typeset -i j=0
@@ -119,8 +119,8 @@
 
 	j=0
 	while (( j < ${#args[*]} )); do
-		log_mustnot $ZFS create ${options[$i]} -V ${args[$j]}
-		log_mustnot $ZFS create -p ${options[$i]} -V ${args[$j]}
+		log_mustnot zfs create ${options[$i]} -V ${args[$j]}
+		log_mustnot zfs create -p ${options[$i]} -V ${args[$j]}
 
 		((j = j + 1))
 	done
@@ -127,9 +127,9 @@
 
 	j=0
 	while (( $j < ${#RW_VOL_PROP[*]} )); do
-		log_mustnot $ZFS create ${options[$i]} -o ${RW_VOL_PROP[j]} \
+		log_mustnot zfs create ${options[$i]} -o ${RW_VOL_PROP[j]} \
 		    -o ${RW_VOL_PROP[j]} -V $VOLSIZE $TESTPOOL/$TESTVOL1
-		log_mustnot $ZFS create -p ${options[$i]} -o ${RW_VOL_PROP[j]} \
+		log_mustnot zfs create -p ${options[$i]} -o ${RW_VOL_PROP[j]} \
 		    -o ${RW_VOL_PROP[j]} -V $VOLSIZE $TESTPOOL/$TESTVOL1
 		((j = j + 1))
 	done
@@ -136,9 +136,9 @@
 
 	j=0
 	while (( $j < ${#FS_ONLY_PROP[*]} )); do
-		log_mustnot $ZFS create ${options[$i]} -o ${FS_ONLY_PROP[j]} \
+		log_mustnot zfs create ${options[$i]} -o ${FS_ONLY_PROP[j]} \
 		    -V $VOLSIZE $TESTPOOL/$TESTVOL1
-		log_mustnot $ZFS create -p ${options[$i]} -o ${FS_ONLY_PROP[j]} \
+		log_mustnot zfs create -p ${options[$i]} -o ${FS_ONLY_PROP[j]} \
 		    -V $VOLSIZE $TESTPOOL/$TESTVOL1
 		((j = j + 1))
 	done
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_create/zfs_create_011_pos.ksh	Wed Aug 31 16:20:32 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_create/zfs_create_011_pos.ksh	Wed Aug 31 16:20:32 2016
@@ -24,6 +24,11 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -44,7 +49,7 @@
 function cleanup
 {
 	if datasetexists $TESTPOOL/$TESTFS1 ; then
-		log_must $ZFS destroy -rf $TESTPOOL/$TESTFS1
+		log_must zfs destroy -rf $TESTPOOL/$TESTFS1
 	fi
 }
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_create/zfs_create_012_pos.ksh	Wed Aug 31 16:20:32 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_create/zfs_create_012_pos.ksh	Wed Aug 31 16:20:32 2016
@@ -24,6 +24,11 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 . $STF_SUITE/tests/functional/cli_root/zfs_upgrade/zfs_upgrade.kshlib
 
@@ -36,8 +41,8 @@
 # 2. Verify only the leaf filesystem to be version=1, others use the current version
 #
 
-ZFS_VERSION=$($ZFS upgrade | $HEAD -1 | $AWK '{print $NF}' \
-	| $SED -e 's/\.//g')
+ZFS_VERSION=$(zfs upgrade | head -1 | awk '{print $NF}' \
+	| sed -e 's/\.//g')
 
 verify_runnable "both"
 
@@ -44,7 +49,7 @@
 function cleanup
 {
 	if datasetexists $TESTPOOL/$TESTFS1 ; then
-		log_must $ZFS destroy -rf $TESTPOOL/$TESTFS1
+		log_must zfs destroy -rf $TESTPOOL/$TESTFS1
 	fi
 }
 
@@ -55,7 +60,7 @@
 
 log_assert "'zfs create -p -o version=1' only cause the leaf filesystem to be version=1."
 
-log_must $ZFS create -p -o version=1 $newdataset1
+log_must zfs create -p -o version=1 $newdataset1
 log_must datasetexists $newdataset1
 
 log_must check_fs_version $TESTPOOL/$TESTFS1/$TESTFS/$TESTFS1 1
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_create/zfs_create_013_pos.ksh	Wed Aug 31 16:20:32 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_create/zfs_create_013_pos.ksh	Wed Aug 31 16:20:32 2016
@@ -24,6 +24,11 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 . $STF_SUITE/tests/functional/cli_root/zfs_create/zfs_create.cfg
 
@@ -44,7 +49,7 @@
 	typeset -i j=0
 	while [[ $j -lt ${#size[*]} ]]; do
 		datasetexists $TESTPOOL/${LONGFSNAME}${size[j]} && \
-		    log_must $ZFS destroy $TESTPOOL/${LONGFSNAME}${size[j]}
+		    log_must zfs destroy $TESTPOOL/${LONGFSNAME}${size[j]}
 		((j = j + 1))
 	done
 }
@@ -56,7 +61,7 @@
 
 typeset -i j=0
 while (( $j < ${#size[*]} )); do
-	typeset cmdline="$ZFS create -s -V ${size[j]} \
+	typeset cmdline="zfs create -s -V ${size[j]} \
 			 $TESTPOOL/${LONGFSNAME}${size[j]}"
 
 	str=$(eval $cmdline 2>&1)
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_create/zfs_create_common.kshlib	Wed Aug 31 16:20:33 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_create/zfs_create_common.kshlib	Wed Aug 31 16:20:33 2016
@@ -19,12 +19,15 @@
 # CDDL HEADER END
 #
 
-#!/bin/ksh -p
 #
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -38,9 +41,9 @@
 	typeset dtst=$1
 	typeset propstr=$2
 
-	typeset prop=$($ECHO $propstr | $AWK -F= '{print $1}')
-	typeset expect_value=$($ECHO $propstr | $AWK -F= '{print $2}')
-	typeset value=$($ZFS get -H -o value $prop $dtst)
+	typeset prop=$(echo $propstr | awk -F= '{print $1}')
+	typeset expect_value=$(echo $propstr | awk -F= '{print $2}')
+	typeset value=$(zfs get -H -o value $prop $dtst)
 
 
 	if [[ "$expect_value" == "$value" ]]; then
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_destroy/zfs_destroy_001_pos.ksh	Wed Aug 31 16:20:33 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_destroy/zfs_destroy_001_pos.ksh	Wed Aug 31 16:20:33 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -78,7 +78,7 @@
 
 	# Clean the test environment and make it clear.
 	if datasetexists $CTR; then
-		log_must $ZFS destroy -Rf $CTR
+		log_must zfs destroy -Rf $CTR
 	fi
 
 	# According to option create test compatible environment.
@@ -98,47 +98,47 @@
 		$CTR|$FS)
 			if [[ $opt == *f* ]]; then
 				mpt_dir=$(get_prop mountpoint $FS)
-				pidlist="$pidlist $($MKBUSY \
+				pidlist="$pidlist $(mkbusy \
 				    $mpt_dir/$TESTFILE0)"
-				log_note "$MKBUSY $mpt_dir/$TESTFILE0 " \
+				log_note "mkbusy $mpt_dir/$TESTFILE0 " \
 				    "(pidlist: $pidlist)"
 				[[ -z $pidlist ]] && \
-				    log_fail "Failure from $MKBUSY"
-				log_mustnot $ZFS destroy -rR $dtst
+				    log_fail "Failure from mkbusy"
+				log_mustnot zfs destroy -rR $dtst
 			fi
 			;;
 		$VOL)
 			if [[ $opt == *f* ]]; then
-				pidlist="$pidlist $($MKBUSY \
+				pidlist="$pidlist $(mkbusy \
 				    $TESTDIR1/$TESTFILE0)"
-				log_note "$MKBUSY $TESTDIR1/$TESTFILE0 " \
+				log_note "mkbusy $TESTDIR1/$TESTFILE0 " \
 				    "(pidlist: $pidlist)"
 				[[ -z $pidlist ]] && \
-				    log_fail "Failure from $MKBUSY"
-				log_mustnot $ZFS destroy -rR $dtst
+				    log_fail "Failure from mkbusy"
+				log_mustnot zfs destroy -rR $dtst
 			fi
 			;;
 		$VOLSNAP)
 			if [[ $opt == *f* ]]; then
-				pidlist="$pidlist $($MKBUSY \
+				pidlist="$pidlist $(mkbusy \
 				    $TESTDIR1/$TESTFILE0)"
-				log_note "$MKBUSY $TESTDIR1/$TESTFILE0 " \
+				log_note "mkbusy $TESTDIR1/$TESTFILE0 " \
 				    "(pidlist: $pidlist)"
 				[[ -z $pidlist ]] && \
-				    log_fail "Failure from $MKBUSY"
-				log_must $ZFS destroy -rR $dtst
-				log_must $ZFS snapshot $dtst
+				    log_fail "Failure from mkbusy"
+				log_must zfs destroy -rR $dtst
+				log_must zfs snapshot $dtst
 			fi
 			;;
 		$FSSNAP)
 			if [[ $opt == *f* ]]; then
 				mpt_dir=$(snapshot_mountpoint $dtst)
-				pidlist="$pidlist $($MKBUSY $mpt_dir)"
-				log_note "$MKBUSY $mpt_dir (pidlist: $pidlist)"
+				pidlist="$pidlist $(mkbusy $mpt_dir)"
+				log_note "mkbusy $mpt_dir (pidlist: $pidlist)"
 				[[ -z $pidlist ]] && \
-				    log_fail "Failure from $MKBUSY"
-				log_must $ZFS destroy -rR $dtst
-				log_must $ZFS snapshot $dtst
+				    log_fail "Failure from mkbusy"
+				log_must zfs destroy -rR $dtst
+				log_must zfs snapshot $dtst
 			fi
 			;;
 		*)	log_fail "Unsupported dataset: '$dtst'."
@@ -146,16 +146,16 @@
 
 	# Firstly, umount ufs filesystem which was created by zfs volume.
 	if is_global_zone; then
-		log_must $UMOUNT -f $TESTDIR1
+		log_must umount -f $TESTDIR1
 	fi
 
 	# Invoke 'zfs destroy [-rRf] <dataset>'
-	log_must $ZFS destroy $opt $dtst
+	log_must zfs destroy $opt $dtst
 
 	# Kill any lingering instances of mkbusy, and clear the list.
-	[[ -z $pidlist ]] || log_must $KILL -TERM $pidlist
+	[[ -z $pidlist ]] || log_must kill -TERM $pidlist
 	pidlist=""
-	log_mustnot $PGREP -fl $MKBUSY
+	log_mustnot pgrep -fl mkbusy
 
 	case $dtst in
 		$CTR)	check_dataset datasetnonexists \
@@ -201,7 +201,7 @@
 			;;
 	esac
 
-	log_note "'$ZFS destroy $opt $dtst' passed."
+	log_note "'zfs destroy $opt $dtst' passed."
 }
 
 log_assert "'zfs destroy -r|-R|-f|-rf|-Rf <fs|ctr|vol|snap>' should " \
@@ -213,7 +213,7 @@
 typeset pidlist=""
 for dtst in $CTR $FS $VOL $FSSNAP $VOLSNAP; do
 	for opt in "-r" "-R" "-f" "-rf" "-Rf"; do
-		log_note "Starting test: $ZFS destroy $opt $dtst"
+		log_note "Starting test: zfs destroy $opt $dtst"
 		test_n_check $opt $dtst
 	done
 done
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_destroy/zfs_destroy_002_pos.ksh	Wed Aug 31 16:20:33 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_destroy/zfs_destroy_002_pos.ksh	Wed Aug 31 16:20:33 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -50,7 +50,7 @@
 	typeset -i i=0
 	while (( $i < ${#data_objs[*]} )); do
 		datasetexists "${data_objs[i]}" && \
-			$ZFS destroy -rf ${data_objs[i]}
+			zfs destroy -rf ${data_objs[i]}
 		((i = i + 1))
 	done
 }
@@ -66,16 +66,16 @@
 	set -A data_objs "$TESTPOOL/$TESTFS@$TESTSNAP" "$TESTPOOL/$TESTFS1"
 fi
 
-log_must $ZFS create $TESTPOOL/$TESTFS1
-log_must $ZFS snapshot $TESTPOOL/$TESTFS@$TESTSNAP
+log_must zfs create $TESTPOOL/$TESTFS1
+log_must zfs snapshot $TESTPOOL/$TESTFS@$TESTSNAP
 
 if is_global_zone ; then
-	log_must $ZFS create -V $VOLSIZE $TESTPOOL/$TESTVOL
+	log_must zfs create -V $VOLSIZE $TESTPOOL/$TESTVOL
 
 	# Max volume size is 1TB on 32-bit systems
-	[[ $($ISAINFO -b) == 32 ]] && \
+	[[ $(isainfo -b) == 32 ]] && \
 		BIGVOLSIZE=1Tb
-	log_must $ZFS create -sV $BIGVOLSIZE $TESTPOOL/$TESTVOL1
+	log_must zfs create -sV $BIGVOLSIZE $TESTPOOL/$TESTVOL1
 fi
 
 typeset -i i=0
@@ -87,7 +87,7 @@
 
 i=0
 while (( $i < ${#data_objs[*]} )); do
-	log_must $ZFS destroy ${data_objs[i]}
+	log_must zfs destroy ${data_objs[i]}
 	datasetexists ${data_objs[i]} && \
 		log_fail "'zfs destroy <filesystem>|<volume>|<snapshot>' fail."
 	((i = i + 1))
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_destroy/zfs_destroy_003_pos.ksh	Wed Aug 31 16:20:33 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_destroy/zfs_destroy_003_pos.ksh	Wed Aug 31 16:20:33 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -51,12 +51,12 @@
 {
 	for obj in $ctr2 $ctr1 $ctr; do
 		datasetexists $obj && \
-			log_must $ZFS destroy -Rf $obj
+			log_must zfs destroy -Rf $obj
 	done
 
 	for mntp in $TESTDIR1 $TESTDIR2; do
 		[[ -d $mntp ]] && \
-			log_must $RM -rf $mntp
+			log_must rm -rf $mntp
 	done
 }
 
@@ -69,7 +69,7 @@
 #
 for dir in $TESTDIR1 $TESTDIR2; do
 	[[ ! -d $dir ]] && \
-		log_must $MKDIR -p $dir
+		log_must mkdir -p $dir
 done
 
 ctr=$TESTPOOL/$TESTCTR
@@ -93,39 +93,39 @@
 #
 # Create two datasets in the storage pool
 #
-log_must $ZFS create $ctr
-log_must $ZFS create $ctr1
+log_must zfs create $ctr
+log_must zfs create $ctr1
 
 #
 # Create children datasets fs,vol,snapshot in the datasets, and
 # clones across two datasets
 #
-log_must $ZFS create $ctr2
+log_must zfs create $ctr2
 
 for fs in $child_fs $child_fs1; do
-	log_must $ZFS create $fs
+	log_must zfs create $fs
 done
 
-log_must $ZFS set mountpoint=$child_fs_mntp $child_fs
-log_must $ZFS set mountpoint=$child_fs1_mntp $child_fs1
+log_must zfs set mountpoint=$child_fs_mntp $child_fs
+log_must zfs set mountpoint=$child_fs1_mntp $child_fs1
 
 for snap in $child_fs_snap $child_fs1_snap; do
-	log_must $ZFS snapshot $snap
+	log_must zfs snapshot $snap
 done
 
 if is_global_zone ; then
 	for vol in $child_vol $child_vol1; do
-		log_must $ZFS create -V $VOLSIZE $vol
+		log_must zfs create -V $VOLSIZE $vol
 	done
 fi
 
 for clone in $child_fs_snap_clone $child_fs_snap_clone1; do
-	log_must $ZFS clone $child_fs_snap $clone
+	log_must zfs clone $child_fs_snap $clone
 done
 
 
 for clone in $child_fs1_snap_clone $child_fs1_snap_clone1; do
-	log_must $ZFS clone $child_fs1_snap $clone
+	log_must zfs clone $child_fs1_snap $clone
 done
 
 log_note "Verify that 'zfs destroy -r' fails to destroy dataset " \
@@ -132,7 +132,7 @@
 	"with clone dependant outside it."
 
 for obj in $child_fs $child_fs1 $ctr $ctr1; do
-	log_mustnot $ZFS destroy -r $obj
+	log_mustnot zfs destroy -r $obj
 	datasetexists $obj || \
 		log_fail "'zfs destroy -r' fails to keep clone " \
 			"dependant outside the hirearchy."
@@ -142,7 +142,7 @@
 log_note "Verify that 'zfs destroy -R' succeeds to destroy dataset " \
 	"with clone dependant outside it."
 
-log_must $ZFS destroy -R $ctr1
+log_must zfs destroy -R $ctr1
 datasetexists $ctr1 && \
 	log_fail "'zfs destroy -R' fails to destroy dataset with clone outside it."
 
@@ -149,7 +149,7 @@
 log_note "Verify that 'zfs destroy -r' succeeds to destroy dataset " \
 	"without clone dependant outside it."
 
-log_must $ZFS destroy -r $ctr
+log_must zfs destroy -r $ctr
 datasetexists $ctr && \
 	log_fail "'zfs destroy -r' fails to destroy dataset with clone outside it."
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_destroy/zfs_destroy_004_pos.ksh	Wed Aug 31 16:20:33 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_destroy/zfs_destroy_004_pos.ksh	Wed Aug 31 16:20:33 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -50,19 +50,19 @@
 	cd $olddir
 
 	datasetexists $clone && \
-		log_must $ZFS destroy -f $clone
+		log_must zfs destroy -f $clone
 
 	snapexists $snap && \
-		log_must $ZFS destroy -f $snap
+		log_must zfs destroy -f $snap
 
 	for fs in $fs1 $fs2; do
 		datasetexists $fs && \
-			log_must $ZFS destroy -f $fs
+			log_must zfs destroy -f $fs
 	done
 
 	for dir in $TESTDIR1 $TESTDIR2; do
 		[[ -d $dir ]] && \
-			log_must $RM -rf $dir
+			log_must rm -rf $dir
 	done
 }
 
@@ -77,7 +77,7 @@
 
 for dir in $TESTDIR1 $TESTDIR2; do
 	[[ ! -d $dir ]] && \
-		log_must $MKDIR -p $dir
+		log_must mkdir -p $dir
 done
 
 fs1=$TESTPOOL/$TESTFS1
@@ -92,25 +92,25 @@
 # make the mountpoint busy
 #
 for fs in $fs1 $fs2; do
-	log_must $ZFS create $fs
+	log_must zfs create $fs
 done
 
-log_must $ZFS snapshot $snap
-log_must $ZFS clone $snap $clone
+log_must zfs snapshot $snap
+log_must zfs clone $snap $clone
 
-log_must $ZFS set mountpoint=$mntp1 $fs1
-log_must $ZFS set mountpoint=$mntp2 $clone
+log_must zfs set mountpoint=$mntp1 $fs1
+log_must zfs set mountpoint=$mntp2 $clone
 
 for arg in "$fs1 $mntp1" "$clone $mntp2"; do
-	fs=`$ECHO $arg | $AWK '{print $1}'`
-	mntp=`$ECHO $arg | $AWK '{print $2}'`
+	fs=`echo $arg | awk '{print $1}'`
+	mntp=`echo $arg | awk '{print $2}'`
 
 	log_note "Verify that 'zfs destroy' fails to" \
 			"destroy filesystem when it is busy."
 	cd $mntp
-	log_mustnot $ZFS destroy $fs
+	log_mustnot zfs destroy $fs
 
-	log_must $ZFS destroy -f $fs
+	log_must zfs destroy -f $fs
 	datasetexists $fs && \
 		log_fail "'zfs destroy -f' fails to destroy busy filesystem."
 
